<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Box Sizing demo</title>
        <style>
            body {
                background-color: #eee;
                font-family: sans-serif;
            }

            .row::after {
                clear: both;
                display: block;
                content: " ";
            }
            div > div {
                width: 25%;
                float: left;
                padding: 1em;
                color: white;
                text-align: center;
            }
            div > div:nth-child(1) { background-color: red; }
            div > div:nth-child(2) { background-color: green; }
            div > div:nth-child(3) { background-color: blue; }
            div > div:nth-child(4) { background-color: orange; }

            .bb > div { box-sizing: border-box; }
        </style>
    </head>
    <body>
        <h1>Box-Sizing Demo</h1>

        <h2><code>box-sizing: content-box;</code></h2>
        <div class="row">
            <div>1</div> <div>2</div> <div>3</div> <div>4</div>
        </div>

        <h2><code>box-sizing: border-box;</code></h2>
        <div class="row bb">
            <div>1</div> <div>2</div> <div>3</div> <div>4</div>
        </div>
    </body>
</html>
